OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
MaskInteriorVoxels< TreeT > Class Template Reference

`#include <Clip.h>`

## Public Types
using | ValueT = typename TreeT::ValueType
using | LeafNodeT = typename TreeT::LeafNodeType

## Public Member Functions
| MaskInteriorVoxels (const TreeT &tree)
template<typename LeafNodeType >
void | operator() (LeafNodeType &leaf, size_t) const

## Member Typedef Documentation

## ◆ LeafNodeT

using LeafNodeT = typename TreeT::LeafNodeType

## ◆ ValueT

using ValueT = typename TreeT::ValueType

## Constructor & Destructor Documentation

## ◆ MaskInteriorVoxels()

MaskInteriorVoxels | ( | const TreeT & | tree | ) |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | LeafNodeType & | leaf,
|  | size_t |
| ) |  | const
| inline

The documentation for this class was generated from the following file:

- Clip.h